import java.applet.Applet;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Event;
import java.awt.Graphics;
import java.awt.Image;
import java.net.URL;

class LTIButtonCls extends Canvas {
   protected Applet applet;
   private Image img;
   private URL uLink;
   private String sTargetFrame;
   private String text;
   private boolean mousePushed = false;

   LTIButtonCls(Applet var1, Image var2, URL var3, String var4) {
      this.applet = var1;
      this.img = var2;
      this.uLink = var3;
      this.sTargetFrame = var4;
      ((Component)this).setBackground(Color.lightGray);
   }

   public boolean handleEvent(Event var1) {
      switch (var1.id) {
         case 501:
            this.mousePushed = true;
            ((Component)this).repaint();
            break;
         case 502:
            this.applet.getAppletContext().showDocument(this.uLink, this.sTargetFrame);
            this.mousePushed = false;
            ((Component)this).repaint();
            break;
         case 503:
         default:
            return super.handleEvent(var1);
         case 504:
            this.mousePushed = false;
            break;
         case 505:
            if (this.mousePushed) {
               this.mousePushed = false;
               ((Component)this).repaint();
            }
      }

      return true;
   }

   public void update(Graphics var1) {
      this.paint(var1);
   }

   public void paint(Graphics var1) {
      Dimension var2 = ((Component)this).size();
      int var3 = this.img.getWidth(this);
      int var4 = this.img.getHeight(this);
      int var5 = (var2.width - var3) / 2;
      int var6 = (var2.height - var4) / 2;
      var1.setColor(Color.lightGray);
      var1.fillRect(var5, var6, var3 + 2, var4 + 2);
      if (this.mousePushed) {
         var1.setColor(Color.black);
         var1.drawLine(0, 0, var2.width - 1, 0);
         var1.drawLine(0, 0, 0, var2.height - 1);
         var1.setColor(Color.gray);
         var1.drawLine(1, 1, var2.width - 2, 1);
         var1.drawLine(1, 1, 1, var2.height - 2);
         var1.setColor(Color.lightGray);
         var1.drawLine(1, var2.height - 2, var2.width - 2, var2.height - 2);
         var1.drawLine(var2.width - 2, var2.height - 2, var2.width - 2, 1);
         var1.setColor(Color.white);
         var1.drawLine(0, var2.height - 1, var2.width - 1, var2.height - 1);
         var1.drawLine(var2.width - 1, var2.height - 1, var2.width - 1, 0);
         var1.clipRect(2, 2, var2.width - 4, var2.height - 4);
         var1.drawImage(this.img, var5 + 2, var6 + 2, this);
      } else {
         var1.setColor(Color.white);
         var1.drawLine(0, 0, var2.width - 1, 0);
         var1.drawLine(0, 0, 0, var2.height - 1);
         var1.drawLine(1, 1, var2.width - 2, 1);
         var1.drawLine(1, 1, 1, var2.height - 2);
         var1.setColor(Color.black);
         var1.drawLine(0, var2.height - 1, var2.width - 1, var2.height - 1);
         var1.drawLine(var2.width - 1, var2.height - 1, var2.width - 1, 0);
         var1.setColor(Color.gray);
         var1.drawLine(1, var2.height - 2, var2.width - 2, var2.height - 2);
         var1.drawLine(var2.width - 2, var2.height - 2, var2.width - 2, 1);
         var1.clipRect(2, 2, var2.width - 4, var2.height - 4);
         var1.drawImage(this.img, var5, var6, this);
      }
   }
}
